Subject: Re: linux-next: Tree for Dec 12

From: Paul Bolle <[email-masked]>
Date: Fri, 12 Dec 2014 11:31:56 +0100

On Fri, 2014-12-12 at 21:04 +1100, Stephen Rothwell wrote:
> That patch has been in linux-next since Dec 3 as commit 77a4494388ab in
> Andrew's patch set (and maybe earlier).

Not earlier. Commit 77a4494388ab debuted in next-20141203:
        $ git tag --contains 77a4494388ab
        next-20141203
        next-20141204
        next-20141205
        next-20141208
        next-20141209
        next-20141210
        next-20141211
        next-20141212
        
I missed that commit. But then again it never occurred to me that a
Kconfig symbol would be added and removed in one series. And, obviously,
grepping for INIT_FALLBACK didn't show anything in linux-next before
today (the oldest tree I checked was next-20141201, after which I lost
interest in going back any further). 

>   However, also in Adnrew's
> patch set is another patch ("init: remove CONFIG_INIT_FALLBACK") that
> then removes CONFIG_INIT_FALLBACK.  There is a conflict because the
> first has gone into Linus' tree today (as commit 6ef4536e2f19), but the
> second has not (I don't know why not).
> 
> Hmmm, I would have expected the Kconfig entry to be removed as well,
> but either I missed that, or git is not as clever as I expect it to be.
> 
> > Anyhow, I'm sure this all will be sorted out in due time.
> 
> I hope so.

I won't be bothering (Andrew and) you again about this. Unless sorting
this out takes rather long, that is.

Thanks,

Paul Bolle